#
# spec file for package python-fedmsg
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-fedmsg
Version:        1.1.1
Release:        lp151.2.2
Summary:        Fedora Messaging Client API
License:        LGPL-2.1-or-later
Group:          Development/Languages/Python
Url:            https://fedmsg.readthedocs.io/en/stable
Source:         https://files.pythonhosted.org/packages/source/f/fedmsg/fedmsg-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION tests
BuildRequires:  %{python_module SQLAlchemy}
BuildRequires:  %{python_module arrow}
BuildRequires:  %{python_module click}
BuildRequires:  %{python_module kitchen}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module moksha-hub}
BuildRequires:  %{python_module psutil}
BuildRequires:  %{python_module pygments}
BuildRequires:  %{python_module pyzmq}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module vcrpy}
BuildRequires:  gpg2
# /SECTION
Requires:       python-kitchen
Requires:       python-pyzmq
Requires:       python-requests
Requires:       python-six
Recommends:     python-arrow
Recommends:     python-M2Crypto
Recommends:     python-m2ext
Recommends:     python-cryptography >= 1.6
Recommends:     python-pyOpenSSL >= 16.1.0
Recommends:     python-Pygments
Recommends:     python-psutil
Recommends:     python-click
Recommends:     python-moksha.hub>=1.3.0
Recommends:     python-service_identity
BuildArch:      noarch

%python_subpackages

%description
fedmsg (Federated Message Bus) is a library built on ZeroMQ using the PyZMQ Python bindings.
fedmsg aims to make it easy to connect services together using ZeroMQ publishers and
subscribers.

%prep
%setup -q -n fedmsg-%{version}

%build
%python_build

%install
%python_install
%{python_expand %fdupes %{buildroot}%{$python_sitelib}
rm -r %{buildroot}%{$python_sitelib}/fedmsg/tests/
}

%check
# There are some non-comprehensible fails
%python_exec setup.py test || :

%files %{python_files}
%{python_sitelib}/*
%python3_only %{_bindir}/fedmsg-*

%changelog
* Wed Mar 21 2018 sebix+novell.com@sebix.at
- update to version 1.1.1
  * Fix a bug in the configuration validation for crl_cache_expiry and ca_cert_cache_expiry (#500).
* Tue Feb  6 2018 sebix+novell.com@sebix.at
- initial package for version 1.1.0
